Page MenuHomePhabricator

Organize a survey about developer events via CE Insights
Closed, ResolvedPublic

Description

(This description is outdated -- see T143008: Coordinate Technical Collaboration's participation in Community Engagement Insights survey)

Notes here: https://etherpad.wikimedia.org/p/WikiHack16-Redefining_Hackathons

This task is specifically about developing a process to collect qualitative data from hackathon participants to help improve the events.
Specific issues that we would like to address and solve:

  • How to continue projects and progress after the hackathon to make sure the work is not wasted.
  • Help people collaborate and communicate in advance of the events
  • Make hackathon's themselves more productive - how can we help developers get work done, what harms that progress
  • Any general improvements to the event.

Event Timeline

Rfarrand created this task.Apr 7 2016, 10:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 7 2016, 10:44 PM
Rfarrand triaged this task as Normal priority.Apr 7 2016, 10:53 PM
Rfarrand lowered the priority of this task from Normal to Low.Apr 14 2016, 6:58 PM
Rfarrand updated the task description. (Show Details)Apr 18 2016, 5:29 PM

I just attended Sherah Smith's tech talk: UX Prototype Labs: Understanding Wikipedia Readers
http://www.youtube.com/watch?v=ZymyC7tUTI8

It sounds like the design research team might be able to help us with this! :)
I am adding them to the task.

Qgil renamed this task from RachelF to explore the possibility of organizing a (qualitative?) survey to RachelF to explore the possibility of organizing a (qualitative?) survey about developer events.Apr 18 2016, 5:33 PM

@egalvezwmf should also be involved (or at least aware), since he's our local survey specialist!

Thanks for adding me - @Rfarrand hoping your chats with Anna later this week will help :)

Qgil renamed this task from RachelF to explore the possibility of organizing a (qualitative?) survey about developer events to Explore the possibility of organizing a (qualitative?) survey about developer events.May 31 2016, 7:24 AM

It would be probably better to align this survey with Community Engagement Insights, instead of running it separately. The information about Community Engagement Insights is available in the WMF Annual Plan revised draft ("Objective 1 – Implement Community Engagement Insights").

Looks @egalvezwmf is helping with this, so removing from Design Research Backlog

Qgil added a comment.Aug 4 2016, 2:22 PM

Declaration of intention for CE insights submitted.

Qgil renamed this task from Explore the possibility of organizing a (qualitative?) survey about developer events to Organize a survey about developer events via CE Insights.Sep 2 2016, 10:14 AM
Qgil updated the task description. (Show Details)
Qgil moved this task from August to September on the Developer-Advocacy (Jul-Sep-2016) board.
Qgil closed this task as Resolved.Sep 14 2016, 9:30 PM

As per T143008#2638516, @Rfarrand's part of the work is completed, and the objective of this task is now merged in Community-Engagement-Insights.

I am resolving this task. If there is anything left it can be still discussed at T143008: Coordinate Technical Collaboration's participation in Community Engagement Insights survey. Thank you!